package com.jiuqi.util.inifile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jiuqi.util.MemStream;
import com.jiuqi.util.Stream;
import com.jiuqi.util.inifile.BufferIni;
import com.jiuqi.util.inifile.Ident;
import com.jiuqi.util.inifile.IniBuffer;
import com.jiuqi.util.inifile.Section;
import com.jiuqi.util.inifile.StreamIniBuffer;

public class StreamIni extends BufferIni {
  public StreamIni(Stream aStream) {
    super((IniBuffer)new StreamIniBuffer(aStream));
    readInfo();
  }
  
  public static void printIni(BufferIni ini, String ident) {
    System.out.println();
    for (int i = 0; i < ini.count(); i++) {
      Section sec = ini.get(i);
      System.out.println(String.valueOf(ident) + "[" + sec.name() + "]");
      for (int k = 0; k < sec.count(); k++) {
        BufferIni child;
        Ident idt = sec.get(k);
        System.out.print(String.valueOf(ident) + idt.name);
        System.out.print("=");
        switch (idt.type) {
          case 1:
            System.out.print(sec.readBoolean(idt.name, false));
            break;
          case 3:
            System.out.print(sec.readDouble(idt.name, 0.0D));
            break;
          case 7:
            System.out.print("<INI>");
            child = sec.readIni(idt.name);
            printIni(child, String.valueOf(ident) + ident);
            break;
          case 2:
            System.out.print(sec.readInteger(idt.name, 0));
            break;
          case 4:
            System.out.print(sec.readLong(idt.name, 0L));
            break;
          case 6:
            System.out.print("stream");
            try {
              MemStream memStream = new MemStream();
              sec.readStream(idt.name, (Stream)memStream);
              System.out.println(memStream.getSize());
            } catch (Exception ex) {
              ex.printStackTrace();
            } 
            break;
          case 5:
            System.out.print(sec.readString(idt.name, ""));
            break;
        } 
        System.out.println();
      } 
      System.out.println();
    } 
  }
}
